// Header file for enemy class

#ifndef ENEMY_H_
#define ENEMY_H_

#include "main.h"

const GLint MAXSHIPS = 50;

class enemy
{
	public:
		// variables
		static GLint direction;
		bool alive;
		void *mybullet;
		GLfloat pos[3];
		GLfloat fire_angle;
		GLfloat maxspeed[3];
		GLfloat bottom_dif[3];
		GLfloat bottom_spc[3];
		GLfloat top_dif[3];
		GLfloat top_spc[3];
		// constructor
		enemy(GLfloat _x, GLfloat _y, GLfloat _z);
		// functions
		void draw();
		void getAngle(void *player);
		void fire();
		void deleteBullet();
};
#endif